Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Class PortalAppflowFactory

    java.lang.Object
      com.bea.portal.appflow.PortalAppflowFactory

All Implemented Interfaces:
  PortalAppflowConstants

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public abstract class PortalAppflowFactory
extends Object
implements PortalAppflowConstants

A common factory for creating portal objects.

Field Summary

Fields inherited from interface com.bea.portal.appflow.PortalAppflowConstants
`AUTO_LOGIN, AUTO_LOGIN_EVENT, DELAY_P13N_UPDATES_PROPERTY, FRAMEWORK_EVENT_PREFIX, FRAMEWORK_REFRESH_EVENT, GROUP_PORTAL_NAME, GROUP_PORTAL_NAME_SESSION_KEY, INTERNAL_FRAMEWORK_EVENT_PREFIX, LAST_CONTENT_URL, PAGE_PARAMETER, PORTAL_REFRESH, PORTLET_EDIT, PORTLET_EDIT_EVENT, PORTLET_EVENT, PORTLET_EVENT_EVENT, PORTLET_FLOAT, PORTLET_FLOAT_EVENT, PORTLET_MAXIMIZE, PORTLET_MAXIMIZE_EVENT, PORTLET_MINIMIZE, PORTLET_MINIMIZE_EVENT, PORTLET_PARAMETER, PORTLET_REFRESH, PORTLET_UNEDIT, PORTLET_UNEDIT_EVENT, PORTLET_UNMAXIMIZE, PORTLET_UNMAXIMIZE_EVENT, PORTLET_UNMINIMIZE, PORTLET_UNMINIMIZE_EVENT, PORTLET_WEBFLOW_EVENT, PORTLET_WEBFLOW_EVENT_PARAMETER, PORTLET_WEBFLOW_FLOAT_EVENT, PORTLET_WEBFLOW_NAMESPACE_PARAMETER, POST_LOGIN, POST_LOGIN_EVENT, SESSION_TIMEOUT, SESSION_TIMEOUT_EVENT, SUCCESS_EVENT`

Constructor Summary
`PortalAppflowFactory()` Deprecated.

Method Summary
`static PortalAppflowEvent` | `createPortalAppflowEvent(HttpServletRequest request, Portal portal)` Deprecated. Create a new PortalAppflowEvent from the HttpServletRequest parameters.
`static PortalAppflowEvent` | `createPortalAppflowEvent(String namespace, String origin, String event, PageIdentifier pageId, PortletIdentifier portletId)` Deprecated. Create a new Instance of the PortalAppflowEvent from the supplied parameters.
`static PortalContext` | `createPortalContext(ServletContext context)` Deprecated. Return a new instance of the portalContext
`static PortalRequest` | `createPortalRequest(PortalContext context, Portal portal, HttpServletRequest request)` Deprecated. Creates a PortalRequest.
`static PortalRequest` | `createPortalRequest(PortalContext context, Portal portal, HttpServletRequest request, boolean createNew)` Deprecated. Creates a PortalRequest.
`static PortalSession` | `createPortalSession(HttpServletRequest request)` Deprecated. Creates a PortalSession.
`static PortalSession` | `createPortalSession(HttpServletRequest request, boolean createNew)` Deprecated. Creates a PortalSession.
`static PortalRequest` | `getPortalRequest(HttpServletRequest request)` Deprecated. Retrieve the portal request from the HttpServletRequest.
`static PortalSession` | `getPortalSession(HttpServletRequest request)` Deprecated. Retrieve an instance of the PortalSession from the HttpSession.
`static void` | `setPortalSession(HttpServletRequest request, PortalSession portalSession)` Deprecated. Put an instance of the PortalSession in the HttpSerssion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalAppflowFactory

    public PortalAppflowFactory()

  Deprecated.

Method Detail

### createPortalContext

    public static PortalContext createPortalContext(ServletContext context)

  Deprecated.
  Return a new instance of the portalContext

### createPortalRequest

    public static PortalRequest createPortalRequest(PortalContext context,
                                                    Portal portal,
                                                    HttpServletRequest request)

  Deprecated.
  Creates a PortalRequest. If one already exist in the HttpServletRequest then that will be returned, otherwise a new one will be created.

### createPortalRequest

    public static PortalRequest createPortalRequest(PortalContext context,
                                                    Portal portal,
                                                    HttpServletRequest request,
                                                    boolean createNew)

  Deprecated.
  Creates a PortalRequest. If `createNew` is true the a new one will always be created. If `createNew` is false then it will first look in the HttpServletRequest for an existing PortalRequest and if that exist return that one, otherwise create a new one.

### getPortalRequest

    public static PortalRequest getPortalRequest(HttpServletRequest request)

  Deprecated.
  Retrieve the portal request from the HttpServletRequest. If one does not exist return null.

### createPortalSession

    public static PortalSession createPortalSession(HttpServletRequest request)

  Deprecated.
  Creates a PortalSession. If one already exist in the HttpSession then that will be returned, otherwise a new one will be created.

### createPortalSession

    public static PortalSession createPortalSession(HttpServletRequest request,
                                                    boolean createNew)

  Deprecated.
  Creates a PortalSession. If `createNew` is true the a new one will always be created. If `createNew` is false then it will first look in the HttpSession for an existing PortalRequest and if that exist return that one, otherwise create a new one.

### getPortalSession

    public static PortalSession getPortalSession(HttpServletRequest request)

  Deprecated.
  Retrieve an instance of the PortalSession from the HttpSession.

### setPortalSession

    public static void setPortalSession(HttpServletRequest request,
                                        PortalSession portalSession)

  Deprecated.
  Put an instance of the PortalSession in the HttpSerssion.

### createPortalAppflowEvent

    public static PortalAppflowEvent createPortalAppflowEvent(HttpServletRequest request,
                                                              Portal portal)

  Deprecated.
  Create a new PortalAppflowEvent from the HttpServletRequest parameters. If the request does not a namespace, use the Portal's webflow namespace. If the Portlet identifier is passed in the request, create a PortletIdentifier and set the namespace to the associated Portlet's namespace. If a Page Identifier is passed in create a PageIdentifier.

  See Also:
    `PortalAppflowConstants`

### createPortalAppflowEvent

    public static PortalAppflowEvent createPortalAppflowEvent(String namespace,
                                                              String origin,
                                                              String event,
                                                              PageIdentifier pageId,
                                                              PortletIdentifier portletId)

  Deprecated.
  Create a new Instance of the PortalAppflowEvent from the supplied parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved